import { JSONSchema4 } from 'json-schema';
import { ParserOptions } from '@apidevtools/json-schema-ref-parser';
import { OpenAPIV3 } from 'openapi-types';

interface Options {
    cloneSchema?: boolean;
    dereference?: boolean;
    convertUnreferencedDefinitions?: boolean;
    dereferenceOptions?: ParserOptions | undefined;
}

declare const convert: <T extends object = JSONSchema4>(schema: T, options?: Options) => Promise<OpenAPIV3.Document>;

export { convert, convert as default };
